## GstVulkanBarrierMemoryInfo

### Members

`type` (GstVulkanBarrierType) –

the GstVulkanBarrierType of the barrier flags the GstVulkanBarrierFlags of the barrier

`flags` (GstVulkanBarrierFlags) –
No description available
`queue` (GstVulkanQueue *) –

the GstVulkanQueue this barrier is to execute with

`pipeline_stages` (guint64) –

the stages in the graphics pipeline to execute the barrier

`access_flags` (guint64) –

access flags

`semaphore` (VkSemaphore) –

Timeline semaphore

`semaphore_value` (guint64) –

Current value of the timeline semaphore

Since : 1.18

## GstVulkan.VulkanBarrierMemoryInfo

### Members

`type` (GstVulkan.VulkanBarrierType) –

the GstVulkan.VulkanBarrierType of the barrier flags the GstVulkan.VulkanBarrierFlags of the barrier

`flags` (GstVulkan.VulkanBarrierFlags) –
No description available
`queue` (GstVulkan.VulkanQueue) –

the GstVulkan.VulkanQueue this barrier is to execute with

`pipeline_stages` (Number) –

the stages in the graphics pipeline to execute the barrier

`access_flags` (Number) –

access flags

`semaphore` (Vulkan.Semaphore) –

Timeline semaphore

`semaphore_value` (Number) –

Current value of the timeline semaphore

Since : 1.18

## GstVulkan.VulkanBarrierMemoryInfo

### Members

`type` (GstVulkan.VulkanBarrierType) –

the GstVulkan.VulkanBarrierType of the barrier flags the GstVulkan.VulkanBarrierFlags of the barrier

`flags` (GstVulkan.VulkanBarrierFlags) –
No description available
`queue` (GstVulkan.VulkanQueue) –

the GstVulkan.VulkanQueue this barrier is to execute with

`pipeline_stages` (int) –

the stages in the graphics pipeline to execute the barrier

`access_flags` (int) –

access flags

`semaphore` (Vulkan.Semaphore) –

Timeline semaphore

`semaphore_value` (int) –

Current value of the timeline semaphore

Since : 1.18

## Enumerations

### GstVulkanBarrierFlags

##### Members

`GST_VULKAN_BARRIER_FLAG_NONE` (0) –
No description available

Since : 1.18

### GstVulkan.VulkanBarrierFlags

##### Members

`GstVulkan.VulkanBarrierFlags.NONE` (0) –
No description available

Since : 1.18

### GstVulkan.VulkanBarrierFlags

##### Members

`GstVulkan.VulkanBarrierFlags.NONE` (0) –
No description available

Since : 1.18

### GstVulkanBarrierType

##### Members

`GST_VULKAN_BARRIER_NONE` (0) –

no barrier type

`GST_VULKAN_BARRIER_TYPE_MEMORY` (1) –
No description available
`GST_VULKAN_BARRIER_TYPE_BUFFER` (2) –
No description available
`GST_VULKAN_BARRIER_TYPE_IMAGE` (3) –
No description available

Since : 1.18

### GstVulkan.VulkanBarrierType

##### Members

`GstVulkan.VulkanBarrierType.NONE` (0) –

no barrier type

`GstVulkan.VulkanBarrierType.TYPE_MEMORY` (1) –
No description available
`GstVulkan.VulkanBarrierType.TYPE_BUFFER` (2) –
No description available
`GstVulkan.VulkanBarrierType.TYPE_IMAGE` (3) –
No description available

Since : 1.18

### GstVulkan.VulkanBarrierType

##### Members

`GstVulkan.VulkanBarrierType.NONE` (0) –

no barrier type

`GstVulkan.VulkanBarrierType.TYPE_MEMORY` (1) –
No description available
`GstVulkan.VulkanBarrierType.TYPE_BUFFER` (2) –
No description available
`GstVulkan.VulkanBarrierType.TYPE_IMAGE` (3) –
No description available

Since : 1.18

The results of the search are